/**
 * 保存图片文件
 * */

#ifndef SAVEIMGENGINE_H
#define SAVEIMGENGINE_H

#include "AppCommon.h"
#include "MyYaml.h"
#include "myutils.h"
#include "EngineBase.h"
#include "EngineFactory.h"
#include "json/json.h"

class SaveImgEngine : public ai_matrix::EngineBase
{
public:
    SaveImgEngine();
    ~SaveImgEngine();

    APP_ERROR Init() override;
    APP_ERROR DeInit() override;
    APP_ERROR Process() override;

private:
    
    bool bUseEngine_;
    ai_matrix::DataSourceConfig dataSourceConfig_;
    std::string strPort0_;
    int iPicQuality = 80;
    int iPushDirection_;
    int iDirection_;

};

ENGINE_REGIST(SaveImgEngine)

#endif
